Unit fsmne1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure fsmne1r(var X :Array of Real; var G :Array of Real;
                var GE :Array of Real; var I0 :Array of Integer);

implementation

procedure fsmne1r(var X :Array of Real; var G :Array of Real;
                var GE :Array of Real; var I0 :Array of Integer);
var
I :Integer;
ARG :Real;
const
A :Array [0..1] of Real = ( 1.0,4.0 );
B :Array [0..1] of Real = ( -2.0,6.0 );
label
_2,_1;
begin
{   BCET CYPAEHT - CONUS }
for I:=1 to 2 do
 begin
  if ( I0[I-1] = 0 ) 
   then goto _2;
  ARG := A[I-1]*X[I-1]-B[I-1];
  G[I-1] := Sign(1.0,ARG)*A[I-1];
  goto _1;
_2:
  G[I-1] := 0.0;
_1:
 end;
end;

end.
