Unit tmne1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FCMNE1R_p, FSMNE1R_p, MNE1R_p;

function tmne1r: String;

implementation

function tmne1r: String;
var
_i,IERR :Integer;
F :Real;
G :Array [0..1] of Real;
RM :Array [0..3] of Real;
const
FE :Real = 1.0E-7;
XE :Array [0..1] of Real = ( 1.E-8,1.E-8 );
GE :Array [0..1] of Real = ( 1.E-3,1.E-3 );
UP :Array [0..8] of Real = ( 5.0,0.7,0.3,500.0,600.0,0.0,0.0,10.0,1.0 );
I0 :Array [0..1] of Integer = ( 1,1 );
N :Integer = 2;
X :Array [0..1] of Real = ( -3.0,1.0 );
begin
Result := '';  {   }
MNE1R(F,FE,FCMNE1R,G,GE,IERR,I0,N,RM,FSMNE1R,UP,X,XE);
Result := Result + Format('%s',['  X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  F=']);
Result := Result + Format('%20.16f ',[F]);
Result := Result + Format('%s',['  G=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[G[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%5d ',[IERR]);
Result := Result + Format('%s',['BPEM CETA=']);
Result := Result + Format('%20.16f ',[UP[4]]) + #$0D#$0A;
UtRes('tmne1r',Result);  {     tmne1r.res }
exit;
end;

end.
